<?php
/*
	D5 Theme Option's Extra Part
	Copyright: 2012-2019, D5 Creation, www.d5creation.com
	Based on the Simplest D5 Framework for WordPress
*/

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if ( ! is_plugin_active( 'd5eximport/d5eximport.php' ) ) {
  //plugin is activated
  
  function eximpnot_options( $options ){
		$options[] = array(
			'name' => 'Export/Import',
			'type' => 'heading'
		);
		$options[] = array(
			'desc' => '
			<div class="speciald5op speciallf">
			<strong>For using This Feature you should read <a href="'. esc_url('https://d5creation.com/theme-options-export-import').'" target="_blank">This Article</a> First !</strong>			
			<p style=" color:red; font-size: 17px;">The Plugin <b>D5 Theme Options Export/Import</b> is not Installed/Activated. Please Install and/or Activate the Plugin First</p> 
			</div>
<p class="speciald5op speciallf"><strong>The Plugin is Already Installed but Not Activated ?</strong><br /> 
- Please click <a href="'.admin_url('plugins.php?plugin_status=all').'" target="_blank">This Link</a>. You can Check and Activate the  Plugin there<br />
- Now Refresh/Reload this Page: <a href="'.admin_url('themes.php?page=options-framework').'">Click Here</a>
</p>

<p class="speciald5op speciallf"><strong>The Plugin is Not Installed Yet ?</strong><br />
You can Install and Activate the Plugin easily<br />
- Click <a href="'. esc_url('http://demo.d5creation.com/d5resource/d5eximport.zip').'" target="_blank">This Link</a> and the Plugin will be downloaded directly to your Computer <a class="button-primary" style="float: none; height: auto; margin: 0 0 0 5px; padding: 1px 5px;" href="'. esc_url('http://demo.d5creation.com/d5resource/d5eximport.zip').'" target="_blank">Download the Plugin</a><br />
- Now, <a href="'.admin_url('plugin-install.php?tab=upload').'" target="_blank">Click Here</a> and You can Upload, Install and Activate the Plugin there<br />
- Now Refresh/Reload this Page: <a href="'.admin_url('themes.php?page=options-framework').'">Click Here</a>
</p>

<p>It is Strongly Recommended that you will keep a Full Site Backup and Full Database Backup besides the Theme Options Backup. There are various ways to take the Full Site Backup and Full Database Backup. Many hosting companies provide these services. Full Site Backup and Full Database Backup are not related with Theme Developers. These are Hosting/cPanel Features</p> <br />

', 
			'type' => 'info'
	     );
		return $options;
	}
	add_filter( 'of_options', 'eximpnot_options', 9999 );
} 



	function support_options( $options ){  
	
		$supportfile = '<div class="speciald5op speciallf"><strong>Please read <a href="'.esc_url('https://d5creation.com/forums/topic/support-documents').'" target="_blank">This Article</a></strong></div>';
		if ( function_exists('optionsframework_option_support')){ 
			$supportfile = wp_remote_fopen(optionsframework_option_support()); 
			$supportfile = wp_kses_post($supportfile);
		}
	
		$options[] = array(
			'name' => 'Theme Support',
			'type' => 'heading'
		);
		$options[] = array(
			'desc' => $supportfile, 
			'type' => 'info'
	     );
		return $options;
			
	}
	add_filter( 'of_options', 'support_options', 10000 );
	
